<?php
include 'header.php';
include 'erpc_fornecedores_produtos_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';
include 'inc/messages.php';

// Método para post de Query Avançada
	$consulta = "select f.id,
f.ds_razao,
f.ds_fantasia,
f.ds_cpf_cnpj,
p.ds_produto,
fp.id_fornecedores,
fp.id_produtos,
fp.st_ativo
from erpc_fornecedores 			f
join erpc_fornecedores_produtos fp
  on f.id = fp.id_fornecedores
join erpc_produtos p
on p.id = fp.id_produtos
where fp.st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id_fornecedores = $_POST['id_fornecedores'];
		$id_produtos 		 = $_POST['id_produtos'];

		$consulta .= (!empty($id_fornecedores)  ? " and id_fornecedores like '%$id_fornecedores%'" : '');
		$consulta .= (!empty($id_produtos)      ? " and id_produtos 	  like '%$id_produtos%'"     : '');

	}
?>

<div class="block">
  <div class="header">
  <h2>Lista de Fornecedores x Produto</h2>
  </div>
	<div class="content">
		<?php
    //echo '<pre>' . var_export($_SESSION, true) . '</pre>';
    displayMessagesAndErrors(true);
    ?>
	</div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=05%>ID</th>
						<th width=40%>Razãp Social</th>
						<th width=10%>CNPJ</th>
						<th width=05%>Cód.Pród.</th>
						<th width=30%>Produto(s)</th>
						<th width=05%>Editar</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

        <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id_fornecedores = $registro['id_fornecedores'];
						$id_produtos     = $registro['id_produtos'];

						$id_crip_forn = base64_encode($id_fornecedores);
						$id_crip_prod = base64_encode($id_produtos);

						$st_ativo = $registro['st_ativo'];
						$ds_razao = $registro['ds_razao'];
						$ds_fantasia = $registro['ds_fantasia'];
						$ds_cpf_cnpj = $registro['ds_cpf_cnpj'];
						$ds_produto  = $registro['ds_produto'];

			   echo "<tr>";
            echo "<td class='text-center'><input type='checkbox' /></td>";
						echo "<td>$ds_razao</td>";
						echo "<td>$ds_cpf_cnpj</td>";
						echo "<td>$id_produtos</td>";
						echo "<td>$ds_produto</td>";

						echo "<td class='text-center'><a href='erpc_fornecedores_produtos_add.php?id_fornecedores=$id_crip_forn&id_produtos=$id_crip_prod'>  <i class='glyphicon glyphicon-phone' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_fornecedores_produtos_remove.php?id_fornecedores=$id_crip_forn&id_produtos=$id_crip_prod'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
